// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

class CfgPatches
{
	class POREASTMABMP
	{
		units[] = {POREASTMABMP};
		weapons[] = {};
		requiredVersion = 1.10;
	};

	class POREASTMABMP2
	{
		units[] = {POREASTMABMP2};
		weapons[] = {};
		requiredVersion = 1.10;
	};


};
class CfgWeapons
{
	class Default	{};
	class MGun: Default {};
	class Riffle: MGun {};
	class SVD54r : Riffle {};
	class LAWLauncher: Default {};
	class CarlGustavLauncher : LAWLauncher {};
	class AT3Launcher: CarlGustavLauncher {};
	class HellfireLauncherBMP2 : AT3Launcher
	{	
		count=8;
		reloadTime=30;
		displayName = $STR_DN_ADD_BMP2_AT;
		displayNameMagazine = $STR_DN_ADD_BMP2_AT;
		shortNameMagazine = $STR_DN_ADD_BMP2_AT;
	};

	class Cannon30HE : Default
	{
		scopeWeapon = private;
		scopeMagazine = public;
		primary = false;
		autoFire = true;
		shotFromTurret = true;
		displayName = $STR_DN_ADD_BMP2_HE;
		displayNameMagazine = $STR_DN_ADD_BMP2_HE;
		shortNameMagazine = $STR_DN_ADD_BMP2_HE;
		nameSound="shell";
		ammo=Cannon30HE;
		count=250;
		multiplier=2;
		reloadTime=0.18;
		initSpeed=1000;
		flashSize=1.1;
		maxLeadSpeed=450; // max estimated speed km/h
		optics = true;
		ffCount=1;
	};

	class Cannon30AP: Cannon30HE
	{
		shotFromTurret = true;
		ammo=Cannon30AP;
		displayName = $STR_DN_ADD_BMP2_AP;
		displayNameMagazine = $STR_DN_ADD_BMP2_AP;
		shortNameMagazine = $STR_DN_ADD_BMP2_AP;
		nameSound="heat";
	};

	class Cannon30: Default
	{
		scopeWeapon = public;
		scopeMagazine = private;
		shotFromTurret = true;
		displayName=$STR_DN_GUN;
		reloadSound[]={Weapons\reload,db-70,1};
		backgroundReload = true;
		ffMagnitude=1;
		ffFrequency=5;
		magazines[] = {Cannon30AP, Cannon30HE};
	};
};

class WeaponCloudsGun {};
class WeaponCloudsMGun : WeaponCloudsGun {};

class CfgVehicles
{
	
	class All {};
	class AllVehicles: All {};
	class Land: AllVehicles {};
	class LandVehicle: Land {};
	class Tank: LandVehicle {};
	class APC: Tank {};
	class BMP: APC {};

	class POREASTMABMP: BMP
	{
		crew="POREastMercenaryArmyCrew";
		side=0;
		model="\POREASTMABMPS\POREASTMABMPP3D";
		displayName="POR East M.A. BMP";
	};
	class POREASTMABMP2: BMP
	{
		displayName="POR East M.A. BMP2";
		side=0;
		model="\POREASTMABMPS\POREASTMABMP2P3D";
		crew="POREastMercenaryArmyCrew";
		armor=300;
		weapons[]={Cannon30, MachineGun7_6, HellfireLauncherBMP2};
		magazines[]={Cannon30HE, Cannon30AP, MachineGun7_6, HellfireLauncherBMP2};

		class GunClouds : WeaponCloudsMGun
		{
			
		};





	class Turret
		{
			gunAxis = "OsaHlavne";
			turretAxis = "OsaVeze";
			soundServo[]={Vehicles\gun_elevate,db-30,1.0};

			gunBeg = "usti hlavne";
			gunEnd = "konec hlavne";
			
			body = "OtocVez";
			gun = "OtocHlaven";

			minElev=-4.5;
			maxElev=+74;
			minTurn=-360;
			maxTurn=+360;
		};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -320;
			min = 0;
			max = 35;
		};
		threat[]={0.5, 0.5, 1};
		transportSoldier = 6;

	};
};